Bug 75869 - ARM thumb problem
Summary: ARM thumb problem
Status: CLOSED WONTFIX
Alias: None
Product: eCos
Classification: Retired
Component: Component Writer's Guide (Show other bugs)
(Show other bugs)
Version: 1.0
Hardware: arm9 Linux
medium
medium
Target Milestone: ---
Assignee: Bart Veer
QA Contact: eCos bugs internal list
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-10-14 12:01 UTC by Need Real Name
Modified: 2007-04-18 16:47 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-20 16:17:33 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2002-10-14 12:01:57 UTC
Description of Problem:
Dear all,
I had read the mailing list and try many times, but I still met the same 
problem. Anyone had the same experience and help me? Thanks in advance.
I follow "http://sources.redhat.com/ecos/tools/linux-thumb-elf.html" to build 
ARM THUMB successful.(build "binutil", "gcc")
% /src/binutils/binutils-2.13/configure --target=arm-elf \
      --prefix=/tools \
      --exec-prefix=/tools/H-i686-pc-linux-gnu \
      -v 2>&1 | tee configure.out
% make -w all install 2>&1 | tee make.out
% PATH=/tools/H-i686-pc-linux-gnu/bin:$PATH ; export PATH
% /src/gcc/gcc-3.2/configure --target=arm-elf \
      --prefix=/tools \
      --exec-prefix=/tools/H-i686-pc-linux-gnu \

      --with-gnu-as --with-gnu-ld --with-newlib \
      -v 2>&1 | tee configure.out 
After that, I build "newlib" and it is ok.
% /src/newlib/newlib-1.10.0 --target=arm-elf --prefix=/tools --exec-
prefix=/tools/H-i686-pc-linux-gnu -v 2>&1 | tee configure.out
% make all install 2>&1 | tee make.out
and I use "arm-elf-gcc" to compiler a very simple hello.c(just a printf 
function inside)
%arm-elf-gcc -o hello hello.c
I execute it in ARM environment and it will appear"Segmentation fault".
Can everybody tell me? thank again

Version-Release number of selected component (if applicable):
I use "binutils-2.13.tar.gz", "gcc-core-3.2.tar.gz", "gcc-g++-
3.2.tar.gz", "newlib-1.10.0.tar.gz"

How Reproducible:


Steps to Reproduce:
1. 
2. 
3. 

Actual Results:


Expected Results:


Additional Information:

Comment 1 Alex Schuilenburg 2003-06-20 16:17:33 UTC
This bug has moved to http://bugs.ecos.sourceware.org/show_bug.cgi?id=75869


Note You need to log in before you can comment on or make changes to this bug.